package com.leanwo.activiti.dto.base;

import java.io.Serializable;

public class InfoWindowEx implements Serializable{
	// 查询窗口Id
	private Long infoWindowId;
	
	// 显示名称
	private String displayValue;

	// 默认值
	private String defaultValue;
	
	// 附加条件
	private String additionHql;
	
	/**
	 * 获取查询窗口Id
	 * @return
	 */
	public Long getInfoWindowId() {
		return infoWindowId;
	}

	/**
	 * 设置查询窗口Id
	 * @param infoWindowId
	 */
	public void setInfoWindowId(Long infoWindowId) {
		this.infoWindowId = infoWindowId;
	}

	/**
	 * 获取显示名称
	 * @return
	 */
	public String getDisplayValue() {
		return displayValue;
	}

	/**
	 * 设置显示名称
	 * @param displayValue
	 */
	public void setDisplayValue(String displayValue) {
		this.displayValue = displayValue;
	}

	/**
	 * 获取默认值
	 * @return
	 */
	public String getDefaultValue() {
		return defaultValue;
	}

	/**
	 * 设置默认值
	 * @param defaultValue
	 */
	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}

	public String getAdditionHql() {
		return additionHql;
	}

	public void setAdditionHql(String additionHql) {
		this.additionHql = additionHql;
	}
}
